/**
* @author    JoomlaShine.com http://www.joomlashine.com
* @copyright Copyright (C) 2008 - 2011 JoomlaShine.com. All rights reserved.
* @license   GNU/GPL v2 http://www.gnu.org/licenses/gpl-2.0.html
*/

var JSNSampleData = {
	
	init: function() {},
	
	setInstallationButtonState: function (form)
	{
		var username = form.username.value;
		var password = form.password.value;
		var agree = form.agree.checked;
		if (username != '' && password != '' && agree)
		{
			form.installation_button.disabled = false;

		}
		else
		{
			form.installation_button.disabled = true;
		}	
	},
	
	installSampleData: function(template_name, url)
	{
		$('jsn-installing-sampledata').addClass('jsn-installsample-display-block');
		$('jsn-install-sample-data-package-title').removeClass('jsn-installsample-display-list');	
		JSNSampleData.downloadPackage(template_name, url);
	},
	
	downloadPackage: function(template_name, url)
	{
		$('jsn-span-downloading-sampledata-state').addClass('jsn-installsample-display-inline');
		$('jsn-span-unsuccessful-downloading-sampledata-message').setHTML('');
		$('jsn-install-cancel').setStyle('display', 'none');
		$('jsn-span-successful-downloading-sampledata').removeClass('jsn-installsample-display-inline');
		$('jsn-span-unsuccessful-downloading-sampledata').removeClass('jsn-installsample-display-inline');
		$('jsn-span-unsuccessful-downloading-sampledata-message').removeClass('jsn-installsample-display-block');
		$('jsn-install-sample-data-package-title').removeClass('jsn-installsample-display-list');
		
		var subtileElement 	= $('jsn-download-sample-data-package-subtitle');
		var tmpsubtitle 	= subtileElement.getText().replace('<strike>','');	
		tmpsubtitle 		= tmpsubtitle.replace('</strike>','');		
		subtileElement.setHTML(tmpsubtitle);
		subtileElement.removeClass('jsn-installsample-done');
		
		var link = url + 'index.php?template=' + template_name + '&tmpl=jsn_runajax&task=downloadSampleDataPackage';
		var ajax = new Ajax(link, {
		method: 'get',
		onComplete: function(response)
		{
		var data = Json.evaluate(response);
		if(data.download)
		{
			$('jsn-span-downloading-sampledata-state').removeClass('jsn-installsample-display-inline');
			$('jsn-span-successful-downloading-sampledata').addClass('jsn-installsample-display-inline');
			$('jsn-install-sample-data-package-title').addClass('jsn-installsample-display-list');
			var subtitle = subtileElement.getText();
			subtileElement.setHTML('');
			subtileElement.addClass('jsn-installsample-done');
			var strike = new Element('strike');
			strike.setHTML(subtitle);
			strike.injectInside(subtileElement);
			var file_name = data.file_name;
			JSNSampleData.installPackage(template_name, file_name, url);
		}
		else
		{
			$('jsn-span-downloading-sampledata-state').removeClass('jsn-installsample-display-inline');
			$('jsn-span-unsuccessful-downloading-sampledata').addClass('jsn-installsample-display-inline');
			$('jsn-install-cancel').setStyle('display', 'block');
			$('jsn-span-unsuccessful-downloading-sampledata-message').setHTML(data.message);
			$('jsn-span-unsuccessful-downloading-sampledata-message').addClass('jsn-installsample-display-block');
			if (!data.connection)
			{
				$('jsn-span-unsuccessful-downloading-sampledata-inline-manually').addClass('jsn-installsample-display-block');
			}
		}
		}});
		ajax.request();
	},
	
	installPackage: function(template_name, file_name, url) 
	{
		$('jsn-span-installing-sampledata-state').addClass('jsn-installsample-display-inline');
		$('jsn-span-unsuccessful-installing-sampledata-message').setHTML('');
		$('jsn-span-unsuccessful-installing-sampledata-message').removeClass('jsn-installsample-display-block');	
		$('jsn-span-successful-installing-sampledata').removeClass('jsn-installsample-display-inline');	
		$('jsn-span-unsuccessful-installing-sampledata').removeClass('jsn-installsample-display-inline');
		
		var subtileElement 	= $('jsn-install-sample-data-package-subtitle');
		var tmpsubtitle 	= subtileElement.getText().replace('<strike>','');	
		tmpsubtitle 		= tmpsubtitle.replace('</strike>','');		
		subtileElement.setHTML(tmpsubtitle);
		subtileElement.removeClass('jsn-installsample-done');
		
		var link = url + 'index.php?template=' + template_name + '&tmpl=jsn_runajax&task=installSampleData&file_name='+file_name;
		var ajax = new Ajax(link, {
		method: 'get',
		onComplete: function(response) {
		var data = Json.evaluate(response);
		if(data.install)
		{
			$('jsn-span-installing-sampledata-state').removeClass('jsn-installsample-display-inline');	
			$('jsn-span-successful-installing-sampledata').addClass('jsn-installsample-display-inline');	
			$('jsn-installing-sampledata-successfully').addClass('jsn-installsample-display-block');	
			var subtitle = subtileElement.getText();
			subtileElement.setHTML('');
			subtileElement.addClass('jsn-installsample-done');
			var strike = new Element('strike');
			strike.setHTML(subtitle);
			strike.injectInside(subtileElement);
			var count = data.warnings.length;
			if (count)
			{
				$('jsn-warnings').addClass('jsn-installsample-display-block');
				JSNSampleData.renderWarning(data.warnings);			
			}
		}	
		else
		{
			$('jsn-span-installing-sampledata-state').removeClass('jsn-installsample-display-inline');	
			$('jsn-span-unsuccessful-installing-sampledata').addClass('jsn-installsample-display-inline');			
			$('jsn-span-unsuccessful-installing-sampledata-message').setHTML(data.message);
			$('jsn-span-unsuccessful-installing-sampledata-message').addClass('jsn-installsample-display-block');
			$('jsn-install-cancel').setStyle('display', 'block');
			if (data.manual != undefined)
			{
				if (data.manual)
				{
					$('jsn-span-unsuccessful-installing-sampledata-inline-manually').addClass('jsn-installsample-display-block');
				}	
			}
		}
		}});
		ajax.request();
	},
	
	renderWarning: function(data)
	{
		var warnings = data;
		var count	 = warnings.length;
		var ul 		 = $('jsn-ul-warnings');
		if (count)
		{
			for(var i=0; i < count; i++)
			{
				var li = new Element('li');
				li.setHTML(warnings[i]);
				li.injectInside(ul);
			}
		}
	},
	
	setInlineInstallationButtonState:function(form)
	{
		if (form.install_package.value == "")
		{
			form.jsn_inline_install_manual_button.disabled = true;
		}
		else 
		{
			form.jsn_inline_install_manual_button.disabled = false;
		}
	}
};